export var EventType;
(function (EventType) {
    EventType["Pageview"] = "page";
    EventType["Event"] = "event";
    EventType["Social"] = "social";
})(EventType || (EventType = {}));
/**
 * Creates a method that support with analytics reporting.
 *
 * @param handlers A list of reporting handlers
 * @returns Returns a tracking a single tracking handler
 *
 */
const createAnalytics = (handlers) => {
    const track = (type, data) => {
        for (const i in handlers) {
            handlers[i](type, data);
        }
    };
    return track;
};
export default createAnalytics;
